Scans
List Scans
Create Scan
Get Scan
ModelsExpand Collapse
ScanListResponse { id, scan_type, status, 2 more }
report: optional { report, report_schema_version } Vulnerability report produced after the scan completes. The shape depends on the scan type. Present only for finished scans.
Vulnerability report produced after the scan completes. The shape depends on the scan type. Present only for finished scans.
report: { summary, tests } Version 1 of the BOLA vulnerability scan report.
Version 1 of the BOLA vulnerability scan report.
tests: array of { steps, verdict, preflight_errors } List of tests that were run.
List of tests that were run.
steps: array of { assertions, errors, request, response } Steps that were executed.
Steps that were executed.
assertions: array of { description, kind, observed, outcome } Assertions that were made against the received response.
Assertions that were made against the received response.
errors: optional array of { description, error_code } Errors the step encountered that may explain absent or incomplete fields.
Errors the step encountered that may explain absent or incomplete fields.
request: optional { credential_set, header_names, method, 3 more } HTTP request that was made, if any.
HTTP request that was made, if any.
response: optional { body, header_names, status, status_text } HTTP response that was received, if any.
HTTP response that was received, if any.
body: { kind } or { contents, kind, truncated } or { contents, kind, truncated } or { contents, kind, truncated } HTTP response body.
HTTP response body.
ScanCreateResponse { id, scan_type, status, 2 more }
report: optional { report, report_schema_version } Vulnerability report produced after the scan completes. The shape depends on the scan type. Present only for finished scans.
Vulnerability report produced after the scan completes. The shape depends on the scan type. Present only for finished scans.
report: { summary, tests } Version 1 of the BOLA vulnerability scan report.
Version 1 of the BOLA vulnerability scan report.
tests: array of { steps, verdict, preflight_errors } List of tests that were run.
List of tests that were run.
steps: array of { assertions, errors, request, response } Steps that were executed.
Steps that were executed.
assertions: array of { description, kind, observed, outcome } Assertions that were made against the received response.
Assertions that were made against the received response.
errors: optional array of { description, error_code } Errors the step encountered that may explain absent or incomplete fields.
Errors the step encountered that may explain absent or incomplete fields.
request: optional { credential_set, header_names, method, 3 more } HTTP request that was made, if any.
HTTP request that was made, if any.
response: optional { body, header_names, status, status_text } HTTP response that was received, if any.
HTTP response that was received, if any.
body: { kind } or { contents, kind, truncated } or { contents, kind, truncated } or { contents, kind, truncated } HTTP response body.
HTTP response body.
ScanGetResponse { id, scan_type, status, 2 more }
report: optional { report, report_schema_version } Vulnerability report produced after the scan completes. The shape depends on the scan type. Present only for finished scans.
Vulnerability report produced after the scan completes. The shape depends on the scan type. Present only for finished scans.
report: { summary, tests } Version 1 of the BOLA vulnerability scan report.
Version 1 of the BOLA vulnerability scan report.
tests: array of { steps, verdict, preflight_errors } List of tests that were run.
List of tests that were run.
steps: array of { assertions, errors, request, response } Steps that were executed.
Steps that were executed.
assertions: array of { description, kind, observed, outcome } Assertions that were made against the received response.
Assertions that were made against the received response.
errors: optional array of { description, error_code } Errors the step encountered that may explain absent or incomplete fields.
Errors the step encountered that may explain absent or incomplete fields.
request: optional { credential_set, header_names, method, 3 more } HTTP request that was made, if any.
HTTP request that was made, if any.
response: optional { body, header_names, status, status_text } HTTP response that was received, if any.
HTTP response that was received, if any.
body: { kind } or { contents, kind, truncated } or { contents, kind, truncated } or { contents, kind, truncated } HTTP response body.
HTTP response body.